> For the complete documentation index, see [llms.txt](https://docs.cloudtruth.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudtruth.com/reference/knowledge-base/templates/templates-render-quotations-in-key-values-as-and-quot.md).

# Templates render quotations in key values as quot

### Overview

CloudTruth Templates use the [mustache templating language](https://mustache.github.io/mustache.5.html) to transform and render data. When rendering parameters that contain values with quotation marks, templates convert the question mark to `&quot;` .

Parameter named `quoted` with a value `"in quotes"`.

```
cloudtruth --project Demo parameter list -v
+-----------+--------------+---------+----------+--------+-------------+
| Name      | Value        | Source  | Type     | Secret | Description |
+-----------+--------------+---------+----------+--------+-------------+
| quoted    | "in quotes"  | default | internal | false  |             |
+-----------+--------------+---------+----------+--------+-------------+
```

Creating a CloudTruth template that renders `{{quoted}}` will result in the following output.

```
cloudtruth --project Demo templates get quotations
&quot;in quotes&quot;
```

![](/files/a5QThUgl3IDDyUkUuOui)

### Resolution

You can use the triple mustache syntax `{{{KEY_NAME}}}` to return unescaped HTML. This syntax allows you to obtain values keeping the quotation mark.

From our example above, creating a CloudTruth template that renders `{{{quoted}}}` will result in the following output.

```
cloudtruth --project Demo templates get quotations
"in quotes"
```

![](/files/-Mi8PwnoFgiaE-LTkTMk)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudtruth.com/reference/knowledge-base/templates/templates-render-quotations-in-key-values-as-and-quot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
